:root {
    --font-display: "Futura", "Futura PT", "Avenir Next", Arial, sans-serif;
    --font-body: "Helvetica Neue", Helvetica, Arial, sans-serif;
}


* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    height: 100%;
}

body {
    font-family: var(--font-body), sans-serif;
    background-color: rgba(78, 180, 255, 0.8);
    color: black;
    margin: 0;
    display: flex;
    flex-direction: column;
}

img {
    width: 100%;
    height: auto;
    display: block;
}

/* --------------------
   Header
-------------------- */

.header {
    padding: 1rem;
    background-color: #46bcff;
}

.header-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.side-title {
    font-size: x-large;
    font-weight: bold;
    font-family: var(--font-display), sans-serif;
}

.burger {
    background: none;
    border: none;
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.burger span {
    width: 24px;
    height: 3px;
    background: black;
}

.navbar-desktop {
    display: none;
}

.navbar-desktop a:hover {
    text-decoration: underline;
}

/* --------------------
   Hero
-------------------- */

.hero-media {
    position: relative;
    height: 420px;
    overflow: hidden;
}

.hero-video {
    width: 100%;
    height: 100%;
    object-fit: fill;
    opacity: 0.8;
}


.hero-logo {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}

.hero-logo img {
    width: 650px;
}

.hero-billede img {
    object-fit: cover;
    width: 100%;
    height: 400px;
    opacity: 0.8;
}

.hero-tekst {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
    font-weight: bold;
    font-size: 20px;
    font-family: var(--font-display), sans-serif

}

/* --------------------
   Intro
-------------------- */

.intro {
    padding: 3rem 1.5rem;
    text-align: center;
}

.intro h2 {
    font-size: 1.8rem;
    margin-bottom: 2rem;
    font-family: var(--font-display), sans-serif;
}

.intro-boks {
    background-color: rgba(250, 239, 132, 0.8);
    padding: 2rem 1.5rem;
    border-radius: 30px;
    max-width: 520px;
    margin: 0 auto;
}

.intro-boks p {
    margin-bottom: 1.5rem;
    line-height: 1.8;
}

.knap {
    display: inline-block;
    background-color: #e04e00;
    color: black;
    padding: 0.6rem 1.4rem;
    border-radius: 999px;
    font-weight: bold;
    text-decoration: none;
    font-family: var(--font-display), sans-serif;
}

/* --------------------
   Miljøer
-------------------- */

.miljoeer {
    padding: 3rem 1.5rem;
    text-align: center;
    margin-bottom: 4rem;
}

.miljoeer h2 {
    font-size: 1.8rem;
    margin-bottom: 2.5rem;
    font-family: var(--font-display), sans-serif;
}

.mil-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2.5rem;
    max-width: 1200px;
    margin: 0 auto;
    justify-items: center;
}

.mil-kort {
    max-width: 320px;
    width: 100%;
}

.mil-kort h3 {
    background-color: rgba(250, 239, 132, 0.8);
    padding: 0.4rem 5rem;
    display: inline-block;
    margin-bottom: 0.8rem;
}

.mil-billede {
    width: 100%;
    height: 260px;
    border-radius: 12px;
    overflow: hidden;
    margin-bottom: 1rem;
}

.mil-billede img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.CTA {
    padding: 4rem 1.5rem;
    text-align: center;
    font-size: x-large;
    font-family: var(--font-display), sans-serif;
    
}

.knap.stor {
    padding: 0.9rem 2rem;
}

.footer {
    background-color: #46bcff;
    margin-top: auto;
    padding: 2rem 0;
}

.footer-inner {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 2rem;
}

.footer-venstre, .footer-hoejre {
    font-size: 0.9rem;
}

.footer-hoejre a {
    position: relative;
    color: black;
    text-decoration: none;
}


.footer-hoejre a:hover{
    text-decoration: underline;
}

.footer-venstre {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;

}

.footer-logo {
    justify-self: center;
}

.footer-logo img {
    max-width: 200px;
    height: auto;
}


.footer-hoejre {
    text-align: right;
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}



/* --------------------
   Mobile navigation
-------------------- */
.navbar-mobil {
    background-color: #46bcff;
    display: none;
    flex-direction: column;
    padding: 1.5rem;
    gap: 1.2rem;
}

.navbar-mobil a {
    font-size: 1.1rem;
    font-weight: 600;
    text-decoration: none;
    color: #000;
}

.navbar-mobil a:hover {
    text-decoration: underline;
}

/* aktiv tilstand */
.navbar-mobil.active {
    display: flex;
}


.fordele {
    padding: 3rem 1.5rem;
}


.udbytte-kort {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

.udbytte-kort {
    padding: 0.4rem 1rem;
    display: inline-block;                     
    margin-bottom: 0.5rem;
    font-size: 0.95rem;

}

.udbytte-titel {
    background-color: rgba(250, 239, 132, 0.8);
    display: inline-block;
    padding: 0.4rem 5rem;
    font-size: 0.95rem;
    margin-bottom: 0.8rem;
}
.udbytte-kort p {
    padding: 1rem;
    display: inline-block;
    margin-bottom: 0.8rem;
    border-radius: 10px;
}
.udbytte-billede {
    position: relative;
    width: 100%;
    aspect-ratio: 4 / 5;
    border-radius: 16px;
    overflow: hidden;
}

.udbytte-billede img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.udbytte-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;

    background-color: rgba(250, 239, 132, 0.8);
    padding: 1rem;
    text-align: center;
}

.udbytte-overlay p {
    margin: 0;
    font-size: medium;
}

.process {
    padding: 3rem 1rem;
    text-align: center;
}

.process-foelgning {
    position: relative;
    max-width: 360px;
    margin: 0 auto;
}

.karrusel-tracker {
    overflow: hidden;
}

.process-kort {
    display: none;
    background-color: rgba(250, 239, 132, 0.8);
    border-radius: 20px;
    padding: 1rem;
}

.process-kort p {
    line-height: 1.8rem;
}

.process-kort.aktiv {
    display: block;
}


.process-billede {
    position: relative;
    overflow: hidden;
}

.process-billede img {
    width: 100%;
    height: 220px;
    object-fit: cover;
    border-radius: 14px;
    margin: 1rem 0;

}


.karrusel-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 44px;
    height: 44px;
    border-radius: 50%;
    border: none;
    background: #e04e00;
    color: black;
    font-size: 2rem;
    font-weight: bold;
    cursor: pointer;
}

.karrusel-btn.prev {
    left: -22px;
}

.karrusel-btn.next {
    right: -22px;
}


/* Desktop: skjul mobilmenu */
@media (min-width: 992px) {
    .navbar-mobil {
        display: none !important;
    }
}





/* --------------------
   Desktop breakpoint
-------------------- */

@media (min-width: 1024px) {

    .header-inner {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 2rem;
        max-width: 1200px;
        margin: 0 auto;
    }

    .burger {
        display: none;
    }

    .navbar-desktop {
        display: flex;
        gap: 2rem;
    }

    .navbar-desktop a {
        text-decoration: none;
        color: black;
        font-weight: 800;
    }

    .hero-video {
        height: 360px;
    }

    .intro {
        padding: 4rem 2rem;
    }

    .mil-grid {
        grid-template-columns: repeat(3, 1fr);
        max-width: 1200px;
        margin: 0 auto;
    }

    .mil-grid4 {
        grid-template-columns: repeat(4,1fr);
        max-width: 1200px;
        margin: 0 auto;
        display: grid;
    }

    .udbytte-billede {
        height: 320px;

    }

    .process-foelgning {
        max-width: 1200px;
    }

    .karrusel-tracker {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 2rem;

        overflow: visible;
    }

    .process-kort {
        display: block; !important;
    }

    .karrusel-btn {
        display: none;
    }
}



